Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515461 - [abrt] xfce4-notifyd: g_malloc0(): xfce4-notifyd killed by SIGSEGV
Summary: [abrt] xfce4-notifyd: g_malloc0(): xfce4-notifyd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-notifyd
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e81b80e65e353b17bdbc04dce7d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 20:10 UTC by z.d
Modified: 2018-03-05 06:07 UTC (History)
7 users (show)

Fixed In Version: xfce4-notifyd-0.4.1-1.fc27 xfce4-notifyd-0.4.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 23:58:08 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-20 20:10 UTC, z.d
no flags Details
File: cgroup (deleted)
2017-11-20 20:10 UTC, z.d
no flags Details
File: core_backtrace (deleted)
2017-11-20 20:10 UTC, z.d
no flags Details
File: cpuinfo (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: dso_list (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: environ (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: exploitable (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: limits (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: maps (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: open_fds (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: proc_pid_status (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details
File: var_log_messages (deleted)
2017-11-20 20:11 UTC, z.d
no flags Details

Description z.d 2017-11-20 20:10:50 UTC
Version-Release number of selected component:
xfce4-notifyd-0.4.0-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/notifyd/xfce4-notifyd
crash_function: g_malloc0
executable:     /usr/lib64/xfce4/notifyd/xfce4-notifyd
journald_cursor: s=c621913f8e78417994692650e40efab3;i=34de86;b=148d11a0ee6d4a9f8f0a04cef190ba29;m=cb61f00;t=55e6f72dee9a4;x=f14ee183f75fb7ab
kernel:         4.13.13-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 g_malloc0 at gmem.c:124
 #5 type_class_init_Wm at gtype.c:2129
 #6 g_type_class_ref at gtype.c:2947
 #7 g_object_new_valist at gobject.c:1968
 #9 xfce_notify_window_new_with_actions at xfce4-notifyd/xfce-notify-window.c:735
 #10 notify_notify at xfce4-notifyd/xfce-notify-daemon.c:1285
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1507275

Comment 1 z.d 2017-11-20 20:10:55 UTC
Created attachment 1356115 [details]
File: backtrace

Comment 2 z.d 2017-11-20 20:10:57 UTC
Created attachment 1356116 [details]
File: cgroup

Comment 3 z.d 2017-11-20 20:10:58 UTC
Created attachment 1356117 [details]
File: core_backtrace

Comment 4 z.d 2017-11-20 20:11:00 UTC
Created attachment 1356118 [details]
File: cpuinfo

Comment 5 z.d 2017-11-20 20:11:02 UTC
Created attachment 1356119 [details]
File: dso_list

Comment 6 z.d 2017-11-20 20:11:03 UTC
Created attachment 1356120 [details]
File: environ

Comment 7 z.d 2017-11-20 20:11:04 UTC
Created attachment 1356121 [details]
File: exploitable

Comment 8 z.d 2017-11-20 20:11:06 UTC
Created attachment 1356122 [details]
File: limits

Comment 9 z.d 2017-11-20 20:11:08 UTC
Created attachment 1356123 [details]
File: maps

Comment 10 z.d 2017-11-20 20:11:09 UTC
Created attachment 1356124 [details]
File: open_fds

Comment 11 z.d 2017-11-20 20:11:11 UTC
Created attachment 1356125 [details]
File: proc_pid_status

Comment 12 z.d 2017-11-20 20:11:12 UTC
Created attachment 1356126 [details]
File: var_log_messages

Comment 13 Don Allen 2017-11-22 01:06:12 UTC
Similar problem has been detected:

Opened console window from VMWare Vsphere client and logged on.  Opened a terminal window from the panel, and started to change the preferences.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/notifyd/xfce4-notifyd
crash_function: g_malloc0
executable:     /usr/lib64/xfce4/notifyd/xfce4-notifyd
journald_cursor: s=dd6f8dd99ce94831aab8590a1db0c426;i=afda;b=774a665adb0a4c27a3e2088b4cfd0c5c;m=e080b88d;t=55e87c5f794f7;x=d9f75d6313c47947
kernel:         4.13.13-200.fc26.x86_64
package:        xfce4-notifyd-0.4.0-2.fc26
reason:         xfce4-notifyd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Jeff Mitchell 2017-12-06 02:24:31 UTC
Similar problem has been detected:

this happened on a fresh installation of Fedora 26

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/notifyd/xfce4-notifyd
crash_function: g_malloc0
executable:     /usr/lib64/xfce4/notifyd/xfce4-notifyd
journald_cursor: s=0736b3a0083b48f88e25cce0e3a2233b;i=35bf;b=9cfe2bbad2054f4d9f6785f6f9a13a09;m=929dde9c;t=55fa283202731;x=97250aec26a7d930
kernel:         4.13.16-202.fc26.x86_64
package:        xfce4-notifyd-0.4.0-2.fc26
reason:         xfce4-notifyd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora Update System 2017-12-23 19:28:37 UTC
xfce4-notifyd-0.4.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-86283af390

Comment 16 Fedora Update System 2017-12-23 19:29:30 UTC
xfce4-notifyd-0.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bba2eabc0

Comment 17 Fedora Update System 2017-12-24 22:53:32 UTC
xfce4-notifyd-0.4.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-86283af390

Comment 18 Fedora Update System 2017-12-24 23:22:19 UTC
xfce4-notifyd-0.4.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bba2eabc0

Comment 19 Fedora Update System 2018-01-04 23:58:08 UTC
xfce4-notifyd-0.4.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-01-05 15:55:23 UTC
xfce4-notifyd-0.4.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 boycottsystemd 2018-01-10 13:56:00 UTC
*** Bug 1533119 has been marked as a duplicate of this bug. ***

Comment 22 merlingmv 2018-03-05 06:07:31 UTC
Similar problem has been detected:

After reboot system

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/notifyd/xfce4-notifyd
crash_function: g_malloc0
executable:     /usr/lib64/xfce4/notifyd/xfce4-notifyd
journald_cursor: s=4bbf291542804fe586af69d1fdda9f2d;i=978be;b=2baa780ada9741b7830682dd6464ef0d;m=4ac0f55;t=566a3eab9c20d;x=6bfe2f2b563717f3
kernel:         4.15.6-200.fc26.x86_64
package:        xfce4-notifyd-0.4.1-1.fc26
reason:         xfce4-notifyd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.